.whippet-add-to-cart form .field--switcher .switcher .option input, .whippet-add-to-cart form .field--color-picker .colors input, .whippet-add-to-cart form .field--color-picker .colors label .color-label {
  width: 1px !important;
  height: 1px !important;
  overflow: hidden;
  position: absolute;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  white-space: nowrap;
}

.whippet-add-to-cart form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.whippet-add-to-cart form label {
  margin-bottom: 7px;
  font-weight: bold;
}
.whippet-add-to-cart form input:not([type=submit]):not([type=file]),
.whippet-add-to-cart form textarea,
.whippet-add-to-cart form select {
  height: 42px;
  border: 2px solid var(--e-global-color-primary, #002864);
  border-radius: 50px;
  padding: 6px 22px 8px 22px;
  background: var(--e-global-color-57237f6, white);
  color: inherit;
}
.whippet-add-to-cart form input:not([type=submit]):not([type=file]):focus,
.whippet-add-to-cart form textarea:focus,
.whippet-add-to-cart form select:focus {
  outline: none;
  border-color: var(--e-global-color-accent, #FA6400);
}
.whippet-add-to-cart form select {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background-image: url('data:image/svg+xml;utf8,      <svg xmlns="http://www.w3.org/2000/svg" width="13" height="12" viewBox="0 0 13 12"><polyline fill="none" stroke="currentColor" stroke-width="1" stroke-linecap="round" stroke-linejoin="round" points="10.776 4.002 6 7.998 1.224 4.002" transform="translate(.7)"></polyline></svg>');
  background-repeat: no-repeat;
  background-position: right 12px center;
  background-size: 13px 12px;
}
.whippet-add-to-cart form .compound-input {
  position: relative;
}
.whippet-add-to-cart form .compound-input.has-unit input {
  padding-right: 60px !important;
}
.whippet-add-to-cart form .compound-input.has-unit .unit {
  position: absolute;
  right: 24px;
  bottom: 11px;
}
.whippet-add-to-cart form .field--sides {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
  border: none;
  padding: 0;
}
.whippet-add-to-cart form .field--switcher .switcher {
  display: flex;
}
.whippet-add-to-cart form .field--switcher .switcher .option {
  flex: 1;
}
.whippet-add-to-cart form .field--switcher .switcher .option label {
  margin: 0;
  font-weight: 400;
  width: 100%;
  text-align: center;
  border: 2px solid var(--e-global-color-primary, #002864);
  padding: 9px 22px 9px 22px;
  height: 42px;
  cursor: pointer;
  transition: all 0.2s linear;
}
.whippet-add-to-cart form .field--switcher .switcher .option:first-child label {
  border-right: none;
  border-top-left-radius: 50px;
  border-bottom-left-radius: 50px;
}
.whippet-add-to-cart form .field--switcher .switcher .option:last-child label {
  border-left: none;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
}
.whippet-add-to-cart form .field--switcher .switcher .option input:checked + label {
  background: var(--e-global-color-primary, #002864);
  color: var(--e-global-color-57237f6, white);
}
.whippet-add-to-cart form .field--color-picker .colors {
  display: flex;
  gap: 5px;
  border: none;
  margin: 0;
  padding: 0;
}
.whippet-add-to-cart form .field--color-picker .colors label {
  display: block;
  width: 42px;
  height: 42px;
  border: 2px solid transparent;
  margin: 0;
  padding: 2px;
  border-radius: 50px;
  cursor: pointer;
}
.whippet-add-to-cart form .field--color-picker .colors label .color-box {
  display: inline-block;
  width: 100%;
  height: 100%;
  border-radius: 50px;
  transition: opacity 0.2s linear;
}
.whippet-add-to-cart form .field--color-picker .colors input:checked + label {
  border-color: var(--e-global-color-accent, #FA6400);
}
.whippet-add-to-cart form .field--color-picker .colors input:not(:checked) + label:hover .color-box {
  opacity: 0.8;
}
.whippet-add-to-cart form .field--action-with-input .whippet-button {
  padding: 0;
  border: none;
  font-size: 1rem;
  background: none;
}
.whippet-add-to-cart form .field--action-with-input .whippet-button svg {
  width: 24px;
  height: 24px;
}
.whippet-add-to-cart form .field--action-with-input .whippet-button span {
  border-bottom: 2px solid transparent;
}
.whippet-add-to-cart form .field--action-with-input .whippet-button:focus-visible span {
  border-bottom-color: var(--e-global-color-primary, #002864);
}
.whippet-add-to-cart form .field--select .image {
  margin-top: 1rem;
}
.whippet-add-to-cart form .field--select .image img {
  width: 100%;
  height: auto;
  max-width: 250px;
}
.whippet-add-to-cart form .field--quantity .quantity-field {
  display: grid;
  grid-template-columns: 42px 150px 42px;
  gap: 8px;
}
.whippet-add-to-cart form .field--quantity .quantity-field .whippet-button {
  justify-content: center;
}
.whippet-add-to-cart form .field--quantity .quantity-field .compound-input:not(.has-unit) input {
  text-align: center;
}
.whippet-add-to-cart form .field--quantity-submit {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: end;
}
.whippet-add-to-cart form .field--quantity-submit .submit {
  justify-self: end;
}
.whippet-add-to-cart form .field--price {
  background: var(--e-global-color-secondary, #F0F2F6);
  padding: 15px;
  border-radius: 4px;
}
.whippet-add-to-cart form .field--price .price .value {
  font-weight: bold;
  line-height: 1em;
}
.whippet-add-to-cart form .field--price .price.ex-vat {
  margin-bottom: 10px;
}
.whippet-add-to-cart form .field--price .price.ex-vat .value {
  font-size: 2.5rem;
}
.whippet-add-to-cart form .field--price .price.inc-vat {
  color: var(--e-global-color-594d06d, #1A3E74);
}
.whippet-add-to-cart form .field--price .price-placeholder {
  font-weight: bold;
}
.whippet-add-to-cart form .field--error {
  background: #FFDEDE;
  padding: 15px;
  border-radius: 4px;
}
.whippet-add-to-cart form .field--submit {
  margin-top: 15px;
}
.whippet-add-to-cart form .field--submit .whippet-button {
  width: 100%;
  justify-content: center;
}
